---
title: Spravujte výsledky týmů s aplikací STM
---

<div id="indexSlider">
    <ul>
        <li>
            <a href='assets/images/homepage.png' class="gallery"><%= image_tag 'thumbnails/homepage.png' %></a>
        </li>
        <li>
            <a href='assets/images/install.png' class="gallery"><%= image_tag 'thumbnails/install.png' %></a>
        </li>
        <li>
            <a href='assets/images/groups.png' class="gallery"><%= image_tag 'thumbnails/groups.png' %></a>
        </li>
        <li>
            <a href='assets/images/table.png' class="gallery"><%= image_tag 'thumbnails/table.png' %></a>
        </li>
        <li>
            <a href='assets/images/playoff.png' class="gallery"><%= image_tag 'thumbnails/playoff.png' %></a>
        </li>
        <li>
            <a href='assets/images/statistics.png' class="gallery"><%= image_tag 'thumbnails/statistics.png' %></a>
        </li>
</div>

<p>STM, <em>Sports Table Manager</em>, slouží pro správu výsledků sportovních klubů nebo pro sportovní informační weby.</p>
<h2>Charakteristika aplikace</h2>
<ul>
    <li>jednoduchá správa týmů a klubů, sezón, zápasů,</li>
    <li>využitelné pro různá sportovní odvětví,</li>
    <li>snadná integrace na vlastní web,</li>
    <li>možnost tipování výsledků pro fanoušky,</li>
    <li>statistiky a žebříčky hráčů i týmů,</li>
    <li>generování rozpisů sezóny i pavouka pro playoff,</li>
    <li>pět uživatelských skupin,</li>
    <li>zdarma (šířeno pod new BSD licencí).</li>
</ul>

<h2>Stáhnout</h2>

<h3>Stažení původní nevyvíjené aplikace</h3>

<p><a href='https://gitlab.com/zdenekdrahos-upce/stm/sports-table-manager'>STM lze stáhnout z Gitlabu</a>.
    Aktualizace neobsahují všechny soubory z STM (soubory obsahující <em>update</em>), ale pouze soubory ve kterých došlo k aktualizaci. Po stažení aktualizace, rozbalte soubor a přepište Vaše aktuální soubory.</p>

<h3>Nahrazení STM</h3>
<p>
    STM můžete nahradit níže uvedenými aplikacemi.
    Pokud víte o další aplikace, kterou lze nahradit STM, tak neváhejte poslat pull request s
    <a href="https://gitlab.com/zdenekdrahos-upce/stm/middleman-website/blob/master/data/web.yml">úpravou webu</a>.
</p>
<ul>
<% data.web.replacements.each do |link, description| %>
    <li><a href="<%= link %>"><%= description %></a></li>
<% end %>
</ul>

<hr />

<h2>Nápověda</h2>
<ul>
    <li>Návody pro instalaci STM, rady k používání, ...
        <ul>
            <li><a href="help/instalace.html">Minimální technické požadavky a instalace STM</a></li>
            <li><a href="help/instalace-endora.html">Instalace STM na webhostingu Endora.cz</a></li>
            <li><a href="help/uzivatelske-skupiny.html">Uživatelské skupiny v STM</a></li>
            <li><a href="help/upgrade-2.0.html">Návod k aktualizaci STM na verzi 2.0</a></li>
        </ul>
    </li>
    <li><a href="help/module/">Moduly</a>&nbsp;- nápověda k jednotlivým částem STM.</li>
    <li><a href="help/dev.html">Pro vývojáře</a>&nbsp;- rady, tipy a triky pro integraci STM na váš web.</li>
</ul>

<h2>Pluginy - doplňky pro používání STM</h2>
<ul>
    <li><a href="pluginy/sablony.html">Šablony</a> - seznam základních šablon týmů, zápasů, ... s ukázkami kódu i použití šablon.</li>
    <li><a href="pluginy/fotbalcz.html">Rozpisy z fotbal.cz</a>&nbsp;- pomocník pro import rozpisů z webu fotbal.cz.</li>
    <li><a href="pluginy/webapi.html">WebApi pro přístup k STM</a>&nbsp;- pomocník pro integraci STM na Váš web.</li>
</ul>


<h2>Seznam všech doposud vydaných článků</h2>
<ul class="bullet">
    <% blog.articles.each do |article| %>
    <li>
        <time datetime="<%= article.date.strftime('%Y-%m-%dT%H:%M:%S%z') %>">
            <%= article.date.strftime('%-d.%-m.%Y') %>
        </time>
        – <a href="<%= webPrefix %><%= article.url %>"><%= article.title %></a>
    </li>
    <% end %>
    <li><a href="http://dspace.upce.cz/handle/10195/46079" target="_blank">Bakalářské práce o aplikaci STM</a></li>
</ul>